apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: vm-mul-udn-a
  namespace: yoss-ns
  labels:
    kubevirt.io/vm: vm-mul-udn-a
spec:
#  metadata:
#    labels:
#      kubevirt.io/vm: vm-mul-udn-a
#      kubevirt.io/domain: vm-mul-udn-a
  running: false
  template:
    spec:
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: containerdisk
          - disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - name: primary-l2-net
            binding:
              name: passt
          - name: br1
            bridge: {}
          rng: {}
        resources:
          requests:
            memory: 2048M
      networks:
      - name: primary-l2-net
        pod: {}
      - multus:
          networkName: lnx-br-nad
        name: br1
      terminationGracePeriodSeconds: 0
      volumes:
      - containerDisk:
          image: quay.io/openshift-cnv/qe-cnv-tests-fedora:40
        name: containerdisk
      - cloudInitNoCloud:
          networkData: |
            version: 2
            ethernets:
              eth0:
                dhcp4: true
              eth1: 
                addresses:
                - 10.200.1.1/24
          userData: |-
            #cloud-config
            password: password
            chpasswd: { expire: False }
        name: cloudinitdisk
